summaryrefslogtreecommitdiff
path: root/include/lib.sh
diff options
context:
space:
mode:
Diffstat (limited to 'include/lib.sh')
-rwxr-xr-xinclude/lib.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/include/lib.sh b/include/lib.sh
index cf076388..b3a76879 100755
--- a/include/lib.sh
+++ b/include/lib.sh
@@ -223,7 +223,8 @@ e()
singletree()
{
for targetfile in "config/${1}/"*/target.cfg; do
- [ -e "$targetfile" ] && [ -f "$targetfile" ] && return 1
+ [ -e "$targetfile" ] || continue
+ [ -f "$targetfile" ] && return 1
done
}